Bug 492630 - White screen after enabling OpenGL Desktop Effects without video driver
White screen after enabling OpenGL Desktop Effects without video driver
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
All Linux
low Severity urgent
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-27 14:59 EDT by MirceaKitsune
Modified: 2018-04-11 04:43 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-02 05:39:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description MirceaKitsune 2009-03-27 14:59:07 EDT
- Description of problem:

Enabling desktop effects under OpenGL while no video driver is installed causes the entire screen to go white and only the cursor to remain visible over the screen. This issue is marked as major because once it happens you will not see anything but your cursor as long as you are logged on, not even after a restart so the only way to fix it is either accessing the console or reinstalling Fedora.

- How reproducible:

Don't know since I only got this issue once and it was pretty difficult to fix so I didn't try it again. Probably depends on video card model or other hardware...

- Steps to Reproduce:

On a Fedora installation where the official video driver was not yet installed, log in under KDE and go to System Settings -> Desktop and attempt to enable desktop effects under OpenGL. If the issue happens, the monitor will go in stand-by for a few seconds then when it returns everything is white except the cursor.

- Additional info:

Video card model: ATI Radeon HD 3870 X2. Fedora 10, KDE 4.
Comment 1 Rex Dieter 2009-03-27 15:05:37 EDT
You have a video driver installed, else you wouldn't have X or kde at all.  :)

KDE contains runtime checks to see if the driver claims to support compositing or not before enabling it.

The fact that the driver in use (I'll assume ati) flashes white, means there's likely a driver bug here.  (re-assigning).
Comment 2 Matěj Cepl 2009-03-31 12:32:46 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf (if you have one) whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 MirceaKitsune 2009-03-31 12:43:29 EDT
I'm sorry, I switched back to another Linux distro so I can't provide any more info about this. I hope the issue will be fixed however.
Comment 4 Matěj Cepl 2009-04-02 05:39:58 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.